watchman-make(1)

NAME

watchman-make - automatically invoke a build tool or script in response to files changing.

SYNOPSIS

watchman-make [ -h ] [ -t TARGET [TARGET ...]] [-s SETTLE] [--make MAKE]
[ -p PATTERN [PATTERN ...]] [--root ROOT] [-r RUN]

DESCRIPTION

watchman-make waits for changes to files and then invokes a build tool (by default, `make`) or provided script to process those changes. It uses the watchman service to efficiently watch the appropriate files.

Events are consolidated and settled before they are dispatched to your build tool, so that it won't start executing until after the files have stopped changing.

You can tell watchman-make about one or more build targets and dependencies for those targets or provide a script to run. watchman-make will then trigger the build for the given targets or run the provided script as changes are detected.

USAGE

OPTIONAL ARGUMENTS

-h, --help

    Show this help

-h, --help

    show this help message and exit

-t TARGET [TARGET ...], --target TARGET [TARGET ...]

    Specify a list of target(s) to pass to the make tool. The --make and --pattern options that precede --target are used to define the trigger condition.

-s SETTLE, --settle SETTLE

    How long to wait to allow changes to settle before invoking targets

--make MAKE

    The name of the make tool to use for the next --target. The default is `make`. You may include additional arguments; you are not limited to just the path to a tool or script.

-p PATTERN [PATTERN ...], --pattern PATTERN [PATTERN ...]

    Define filename matching patterns that will be used to trigger the next --target definition. The pattern syntax is wildmatch style; globbing with recursive matching via '**'. --pattern is reset to empty after each --target argument.

--root ROOT

    Define the root of the project. The default is to use the PWD. All patterns are considered to be relative to this root, and the build tool is executed with this location set as its PWD.

-r RUN, --run

    RUN The script that should be run when changes are detected

SEE ALSO

watchman(1), watchman-wait(1)

For more information, please refer the online documentation (http://facebook.github.io/watchman/docs/cli-options.html)